itpp::Slot< ObjectType, DataType > Class Template Reference

Slot Class. More...

`#include <itpp/protocol/signals_slots.h>`

## Public Member Functions

| Slot (const std::string _name="Unamed Slot")
| Default constructor.
void | forward (ObjectType *object_pointer, void(ObjectType::*object_function_pointer)(DataType u))
| ADD DOCUMENTATION HERE.
| ~Slot ()
| Destructor.
void | operator() (DataType u)
| ADD DOCUMENTATION HERE.

## Detailed Description

### template<class ObjectType, class DataType>
class itpp::Slot< ObjectType, DataType >

Slot Class.

Definition at line 57 of file signals_slots.h.

The documentation for this class was generated from the following file:

- itpp/protocol/signals_slots.h

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17